Subject: Re: [PATCH V2 0/2] git-p4: Small updates to test cases

From: Junio C Hamano <[email-masked]>
Date: Sat, 28 Mar 2015 09:07:32 -0700

Will apply both.

It seems that I am to blame for 1/2 for botching the shell syntax
X-<.  Thanks for fixing.

I was not entirely happy with the "we could find either file10 or
file11 because they are the same, so let's declare both are success"
in the original, f69b3a93 (git p4 test: copy source indeterminate,
2012-06-27) in the first place, which survived the 9b6513ac (git p4
test: split up big t9800 test, 2012-06-27) and e832f737 (t9814: fix
misconversion from test $a -o $b to test $a || test $b, 2014-07-25).
I think a better fix would have been not to have multiple identical
copies in the tested tree to begin with.

But 2/2 is an acceptable interim fix that uses the same approach as
we have been using since f69b3a93, so it should do at least for now.

Thanks.